emanuele.emalele May 25, 2013 @ 6:33am
Linux Gentoo
Hi guys!

I'm using Gentoo and it seems that this games doesn't want to start.

My error is the following:

An exception has occured: OGRE EXCEPTION(2:InvalidParametersException): Option named Fixed Pipeline Enabled does not exist. in GLXGLSupport::setConfigOption at /build/buildd/ogre-1.7.4/RenderSystems/GL/src/GLX/OgreGLXGLSupport.cpp (line 302)

I already tried with the suggested fix by using the RenderSystem_GL.so of the all ubuntu packages but the error is not changing. Then I've tried to emerge ogre new version and definitely by symlinking all the libraries the ./bout.sh file successfully launch ogre but at the end I obtain a segmentation fault.

Anyone knows how to solve it?

Thank you.
Showing 1-1 of 1 comments
< >
emanuele.emalele Jun 2, 2013 @ 9:31am 
Ok it seems I've solved for any other gentooers here.

First of all: contacted developer but the answer received is something like we worked on ubuntu and that's it.

Anyway here is the supposed solution for Gentoo distros:

- use layman to add overlay 'gamerlay' and sync all;
- issue this command: USE="testdeps steamgames_unwritten_tales" emerge steam-games-meta;
- replace the RenderSystemGL.so library with the one of ubuntu libogre-1.7.4-3 package for the fix of Settings crash (it happens indeed also on ubuntu);
- launch the game from root user, because the local users are missing some rights and they cannot access some library.
Showing 1-1 of 1 comments
< >
Per page: 15 30 50